## fsverity-utils 1.3

=== Makefile ===
# SPDX-License-Identifier: MIT
# Copyright 2020 Google LLC
#
# Use of this source code is governed by an MIT-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/MIT.


# Use 'make help' to list available targets.
#
# Define V=1 to enable "verbose" mode, showing all executed commands.
#
# Define USE_SHARED_LIB=1 to link the fsverity binary to the shared library
# libfsverity.so rather than to the static library libfsverity.a.
#
# Define PREFIX to override the installation prefix, like './configure --prefix'
# in autotools-based projects (default: /usr/local)
#
# Define BINDIR to override where to install binaries, like './configure
# --bindir' in autotools-based projects (default: PREFIX/bin)
#
# Define INCDIR to override where to install headers, like './configure
# --includedir' in autotools-based projects (default: PREFIX/include)
#
# Define LIBDIR to override where to install libraries, like './configure
# --libdir' in autotools-based projects (default: PREFIX/lib)
#
# Define DESTDIR to override the installation destination directory
# (default: empty string)
#
# You can also specify custom CC, CFLAGS, CPPFLAGS, LDFLAGS, and/or PKGCONF.
#
##############################################################################

cc-option = $(shell if $(CC) $(1) -c -x c /dev/null -o /dev/null > /dev/null 2>&1; \
	      then echo $(1); fi)

# Support building with MinGW for minimal Windows fsverity.exe, but not for
# libfsverity. fsverity.exe will be statically linked.
ifneq ($(findstring -mingw,$(shell $(CC) -dumpmachine 2>/dev/null)),)
MINGW = 1
endif

CFLAGS ?= -O2

override CFLAGS := -Wall -Wundef				\
	$(call cc-option,-Wdeclaration-after-statement)		\
	$(call cc-option,-Wimplicit-fallthrough)		\
	$(call cc-option,-Wmissing-field-initializers)		\
	$(call cc-option,-Wmissing-prototypes)			\
	$(call cc-option,-Wstrict-prototypes)			\
	$(call cc-option,-Wunused-parameter)			\
	$(call cc-option,-Wvla)					\
	$(CFLAGS)

override CPPFLAGS := -Iinclude -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE $(CPPFLAGS)

ifneq ($(V),1)
QUIET_CC        = @echo '  CC      ' $@;
QUIET_CCLD      = @echo '  CCLD    ' $@;
QUIET_AR        = @echo '  AR      ' $@;
QUIET_LN        = @echo '  LN      ' $@;
QUIET_GEN       = @echo '  GEN     ' $@;
endif
USE_SHARED_LIB  ?=
PREFIX          ?= /usr/local
BINDIR          ?= $(PREFIX)/bin
INCDIR          ?= $(PREFIX)/include
LIBDIR          ?= $(PREFIX)/lib
DESTDIR         ?=
ifneq ($(MINGW),1)
PKGCONF         ?= pkg-config
else
PKGCONF         := false
EXEEXT          := .exe
endif
FSVERITY        := fsverity$(EXEEXT)

# Rebuild if a user-specified setting that affects the build changed.
.build-config: FORCE
	@flags=$$(							\
		echo 'CC=$(CC)';					\
		echo 'CFLAGS=$(CFLAGS)';				\
		echo 'CPPFLAGS=$(CPPFLAGS)';				\
		echo 'LDFLAGS=$(LDFLAGS)';				\
		echo 'LDLIBS=$(LDLIBS)';				\
		echo 'USE_SHARED_LIB=$(USE_SHARED_LIB)';		\
	);								\
	if [ "$$flags" != "`cat $@ 2>/dev/null`" ]; then		\
		[ -e $@ ] && echo "Rebuilding due to new settings";	\
		echo "$$flags" > $@;					\
	fi

DEFAULT_TARGETS :=
COMMON_HEADERS  := $(wildcard common/*.h)
LDLIBS          := $(shell "$(PKGCONF)" libcrypto --libs 2>/dev/null || echo -lcrypto)
CFLAGS          += $(shell "$(PKGCONF)" libcrypto --cflags 2>/dev/null || echo)

# If we are dynamically linking, when running tests we need to override
# LD_LIBRARY_PATH as no RPATH is set
ifdef USE_SHARED_LIB
RUN_FSVERITY    = LD_LIBRARY_PATH=./ $(TEST_WRAPPER_PROG) ./$(FSVERITY)
else
RUN_FSVERITY    = $(TEST_WRAPPER_PROG) ./$(FSVERITY)
endif

##############################################################################

#### Library

SOVERSION       := 0
LIB_CFLAGS      := $(CFLAGS) -fvisibility=hidden
LIB_SRC         := $(wildcard lib/*.c)
ifeq ($(MINGW),1)
LIB_SRC         := $(filter-out lib/enable.c,${LIB_SRC})
endif
LIB_HEADERS     := $(wildcard lib/*.h) $(COMMON_HEADERS)
STATIC_LIB_OBJ  := $(LIB_SRC:.c=.o)
SHARED_LIB_OBJ  := $(LIB_SRC:.c=.shlib.o)

# Compile static library object files
$(STATIC_LIB_OBJ): %.o: %.c $(LIB_HEADERS) .build-config
	$(QUIET_CC) $(CC) -o $@ -c $(CPPFLAGS) $(LIB_CFLAGS) $<

# Compile shared library object files
$(SHARED_LIB_OBJ): %.shlib.o: %.c $(LIB_HEADERS) .build-config
	$(QUIET_CC) $(CC) -o $@ -c $(CPPFLAGS) $(LIB_CFLAGS) -fPIC $<

# Create static library
libfsverity.a:$(STATIC_LIB_OBJ)
	$(QUIET_AR) $(AR) cr $@ $+

DEFAULT_TARGETS += libfsverity.a

# Create shared library
libfsverity.so.$(SOVERSION):$(SHARED_LIB_OBJ)
	$(QUIET_CCLD) $(CC) -o $@ -Wl,-soname=$@ -shared $+ \
		$(CFLAGS) $(LDFLAGS) $(LDLIBS)

DEFAULT_TARGETS += libfsverity.so.$(SOVERSION)

# Create the symlink libfsverity.so => libfsverity.so.$(SOVERSION)
libfsverity.so:libfsverity.so.$(SOVERSION)
	$(QUIET_LN) ln -sf $+ $@

DEFAULT_TARGETS += libfsverity.so

##############################################################################

#### Programs

ALL_PROG_SRC      := $(wildcard programs/*.c)
ALL_PROG_OBJ      := $(ALL_PROG_SRC:.c=.o)
ALL_PROG_HEADERS  := $(wildcard programs/*.h) $(COMMON_HEADERS)
PROG_COMMON_SRC   := programs/utils.c
PROG_COMMON_OBJ   := $(PROG_COMMON_SRC:.c=.o)
FSVERITY_PROG_OBJ := $(PROG_COMMON_OBJ)		\
		     programs/cmd_digest.o	\
		     programs/cmd_sign.o	\
		     programs/fsverity.o
ifneq ($(MINGW),1)
FSVERITY_PROG_OBJ += \
		     programs/cmd_enable.o	\
		     programs/cmd_measure.o
endif
TEST_PROG_SRC     := $(wildcard programs/test_*.c)
TEST_PROGRAMS     := $(TEST_PROG_SRC:programs/%.c=%$(EXEEXT))

# Compile program object files
$(ALL_PROG_OBJ): %.o: %.c $(ALL_PROG_HEADERS) .build-config
	$(QUIET_CC) $(CC) -o $@ -c $(CPPFLAGS) $(CFLAGS) $<

# Link the fsverity program
ifdef USE_SHARED_LIB
$(FSVERITY): $(FSVERITY_PROG_OBJ) libfsverity.so
	$(QUIET_CCLD) $(CC) -o $@ $(FSVERITY_PROG_OBJ) \
		$(CFLAGS) $(LDFLAGS) -L. -lfsverity
else
$(FSVERITY): $(FSVERITY_PROG_OBJ) libfsverity.a
	$(QUIET_CCLD) $(CC) -o $@ $+ $(CFLAGS) $(LDFLAGS) $(LDLIBS)
endif

DEFAULT_TARGETS += $(FSVERITY)

# Link the test programs
$(TEST_PROGRAMS): %$(EXEEXT): programs/%.o $(PROG_COMMON_OBJ) libfsverity.a
	$(QUIET_CCLD) $(CC) -o $@ $+ $(CFLAGS) $(LDFLAGS) $(LDLIBS)

##############################################################################

SPECIAL_TARGETS := all test_programs check install uninstall help clean

FORCE:

.PHONY: $(SPECIAL_TARGETS) FORCE

.DEFAULT_GOAL = all

all:$(DEFAULT_TARGETS)

test_programs:$(TEST_PROGRAMS)

# This just runs some quick, portable tests.  Use scripts/run-tests.sh if you
# want to run the full tests.
check:$(FSVERITY) test_programs
	for prog in $(TEST_PROGRAMS); do \
		$(TEST_WRAPPER_PROG) ./$$prog || exit 1; \
	done
	$(RUN_FSVERITY) --help > /dev/null
	$(RUN_FSVERITY) --version > /dev/null
	$(RUN_FSVERITY) sign $(FSVERITY) fsverity.sig \
		--key=testdata/key.pem --cert=testdata/cert.pem > /dev/null
	$(RUN_FSVERITY) sign $(FSVERITY) fsverity.sig --hash=sha512 \
		--block-size=512 --salt=12345678 \
		--key=testdata/key.pem --cert=testdata/cert.pem > /dev/null
	$(RUN_FSVERITY) digest $(FSVERITY) --hash=sha512 \
		--block-size=512 --salt=12345678 > /dev/null
	rm -f fsverity.sig
	@echo "All tests passed!"

install:all
	install -d $(DESTDIR)$(LIBDIR)/pkgconfig $(DESTDIR)$(INCDIR) $(DESTDIR)$(BINDIR)
	install -m755 $(FSVERITY) $(DESTDIR)$(BINDIR)
	install -m644 libfsverity.a $(DESTDIR)$(LIBDIR)
	install -m755 libfsverity.so.$(SOVERSION) $(DESTDIR)$(LIBDIR)
	ln -sf libfsverity.so.$(SOVERSION) $(DESTDIR)$(LIBDIR)/libfsverity.so
	install -m644 include/libfsverity.h $(DESTDIR)$(INCDIR)
	sed -e "s|@PREFIX@|$(PREFIX)|" \
		-e "s|@LIBDIR@|$(LIBDIR)|" \
		-e "s|@INCDIR@|$(INCDIR)|" \
		lib/libfsverity.pc.in \
		> $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc
	chmod 644 $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(FSVERITY)
	rm -f $(DESTDIR)$(LIBDIR)/libfsverity.a
	rm -f $(DESTDIR)$(LIBDIR)/libfsverity.so.$(SOVERSION)
	rm -f $(DESTDIR)$(LIBDIR)/libfsverity.so
	rm -f $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc
	rm -f $(DESTDIR)$(INCDIR)/libfsverity.h

help:
	@echo "Available targets:"
	@echo "------------------"
	@for target in $(DEFAULT_TARGETS) $(TEST_PROGRAMS) $(SPECIAL_TARGETS); \
	do \
		echo $$target; \
	done

clean:
	rm -f $(DEFAULT_TARGETS) $(TEST_PROGRAMS) \
		lib/*.o programs/*.o .build-config fsverity.sig

## fsverity-utils 1.0

=== debian/changelog ===
fsverity-utils (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #956922)

 -- Romain Perier <romain.perier@gmail.com>  Sat, 11 Jan 2020 19:57:46 +0100

=== debian/control ===
Source: fsverity-utils
Section: admin
Priority: optional
Maintainer: Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper-compat (= 12), libssl-dev (>= 1.0), pkg-config
Standards-Version: 4.5.0.1
Rules-Requires-Root: no
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
Vcs-Git: https://salsa.debian.org/debian/fsverity-utils.git

Package: fsverity
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace utilities for fs-verity
 fs-verity is a Linux kernel feature that does transparent on-demand
 integrity/authenticity verification of the contents of read-only files,
 using a hidden Merkle tree (hash tree) associated with the file. The
 mechanism is similar to dm-verity, but implemented at the file level
 rather than at the block device level.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/fsverity/usr

## fsverity-utils 1.3

=== debian/changelog ===
fsverity-utils (1.3-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version 1.3.
  * Add libfsverity.pc to libfsverity-dev
  * Fix lintian warning symbols-file-missing-build-depends-package-field

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.1, no changes

 -- Romain Perier <romain.perier@gmail.com>  Fri, 22 Jan 2021 13:41:30 +0100

fsverity-utils (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * debian/rules: Pass PREFIX via dh
  * debian/copyright: Change license to MIT
  * debian/gbp.conf: Switch to xz as default compression
  * debian/control: switch to debhelper 13
  * Add the fsverity shared library
  * debian/rules: Enable all hardening options
  * debian/copyright: Add Facebook to the copyright

 -- Romain Perier <romain.perier@gmail.com>  Mon, 28 Sep 2020 19:24:14 +0200

=== debian/control ===
Source: fsverity-utils
Section: admin
Priority: optional
Maintainer: Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
Vcs-Git: https://salsa.debian.org/debian/fsverity-utils.git

Package: fsverity
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version})
Description: Userspace utilities for fs-verity
 fs-verity is a Linux kernel feature that does transparent on-demand
 integrity/authenticity verification of the contents of read-only files,
 using a hidden Merkle tree (hash tree) associated with the file. The
 mechanism is similar to dm-verity, but implemented at the file level
 rather than at the block device level.
 .
 This package contains the fsverity utility

Package: libfsverity0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Shared library for fs-verity
 fs-verity is a Linux kernel feature that does transparent on-demand
 integrity/authenticity verification of the contents of read-only files,
 using a hidden Merkle tree (hash tree) associated with the file. The
 mechanism is similar to dm-verity, but implemented at the file level
 rather than at the block device level.
 .
 This package contains the libfsverity shared library.

Package: libfsverity-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version})
Multi-Arch: same
Description: Development files for fs-verity
 fs-verity is a Linux kernel feature that does transparent on-demand
 integrity/authenticity verification of the contents of read-only files,
 using a hidden Merkle tree (hash tree) associated with the file. The
 mechanism is similar to dm-verity, but implemented at the file level
 rather than at the block device level.
 .
 This package contains the libfsverity development libraries and header files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

MAKEFLAGS=PREFIX=/usr V=1 USE_SHARED_LIB=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## fsverity-utils 1.4

=== debian/changelog ===
fsverity-utils (1.4-1~exp1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 15:57:32 +0100

fsverity-utils (1.4-1~exp1) experimental; urgency=medium

  * New upstream version 1.4.
  * Add new man page fsverity.1

 -- Romain Perier <romain.perier@gmail.com>  Thu, 24 Jun 2021 14:16:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
-Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config
+Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_install:
+	$(MAKE) install-man DESTDIR=debian/tmp

=== debian/watch ===
version=4
opts="mode=git" https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git \
    refs/tags/v([\d\.]+)

## fsverity-utils 1.5

=== debian/changelog ===
fsverity-utils (1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Romain Perier ]
  * New upstream version 1.5.

  [ Helmut Grohne ]
  * Avoid rebuild during make install by exporting CC (Closes: #1000615)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Add dependency on libssl-dev to libfsverity-dev

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Dec 2022 23:30:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
@@ -39,7 +39,8 @@
 Package: libfsverity-dev
 Architecture: linux-any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version}),
+         libssl-dev (>= 1.0),
 Multi-Arch: same
 Description: Development files for fs-verity
  fs-verity is a Linux kernel feature that does transparent on-demand

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+-include /usr/share/dpkg/buildtools.mk
+export CC
 
 MAKEFLAGS=PREFIX=/usr V=1 USE_SHARED_LIB=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## fsverity-utils 1.6

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 #
 # Define LIBDIR to override where to install libraries, like './configure
 # --libdir' in autotools-based projects (default: PREFIX/lib)
+#
+# Define MANDIR to override where to install man pages, like './configure
+# --mandir' in autotools-based projects (default: PREFIX/share/man)
 #
 # Define DESTDIR to override the installation destination directory
 # (default: empty string)
@@ -41,8 +44,13 @@
 MINGW = 1
 endif
 
+# Set the CFLAGS.  First give the warning-related flags (unconditionally, though
+# the user can override any of them by specifying the opposite flag); then give
+# the user-specified CFLAGS, defaulting to -O2 if none were specified.
+#
+# Use -Wno-deprecated-declarations to avoid warnings about the Engine API having
+# been deprecated in OpenSSL 3.0; the replacement isn't ready yet.
 CFLAGS ?= -O2
-
 override CFLAGS := -Wall -Wundef				\
 	$(call cc-option,-Wdeclaration-after-statement)		\
 	$(call cc-option,-Wimplicit-fallthrough)		\
@@ -51,6 +59,7 @@
 	$(call cc-option,-Wstrict-prototypes)			\
 	$(call cc-option,-Wunused-parameter)			\
 	$(call cc-option,-Wvla)					\
+	$(call cc-option,-Wno-deprecated-declarations)		\
 	$(CFLAGS)
 
 override CPPFLAGS := -Iinclude -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE $(CPPFLAGS)
@@ -67,6 +76,7 @@
 BINDIR          ?= $(PREFIX)/bin
 INCDIR          ?= $(PREFIX)/include
 LIBDIR          ?= $(PREFIX)/lib
+MANDIR          ?= $(PREFIX)/share/man
 DESTDIR         ?=
 ifneq ($(MINGW),1)
 PKGCONF         ?= pkg-config
@@ -92,6 +102,7 @@
 	fi
 
 DEFAULT_TARGETS :=
+EXTRA_TARGETS   :=
 COMMON_HEADERS  := $(wildcard common/*.h)
 LDLIBS          := $(shell "$(PKGCONF)" libcrypto --libs 2>/dev/null || echo -lcrypto)
 CFLAGS          += $(shell "$(PKGCONF)" libcrypto --cflags 2>/dev/null || echo)
@@ -160,6 +171,7 @@
 		     programs/fsverity.o
 ifneq ($(MINGW),1)
 FSVERITY_PROG_OBJ += \
+		     programs/cmd_dump_metadata.o \
 		     programs/cmd_enable.o	\
 		     programs/cmd_measure.o
 endif
@@ -185,6 +197,29 @@
 # Link the test programs
 $(TEST_PROGRAMS): %$(EXEEXT): programs/%.o $(PROG_COMMON_OBJ) libfsverity.a
 	$(QUIET_CCLD) $(CC) -o $@ $+ $(CFLAGS) $(LDFLAGS) $(LDLIBS)
+
+EXTRA_TARGETS += $(TEST_PROGRAMS)
+
+##############################################################################
+
+#### Manual pages
+
+MAN_PAGES := $(wildcard man/*.[1-9])
+
+##############################################################################
+
+# Support for downloading and building BoringSSL.  The purpose of this is to
+# allow testing builds of fsverity-utils that link to BoringSSL instead of
+# OpenSSL, without having to use a system that uses BoringSSL natively.
+
+boringssl:
+	rm -rf boringssl boringssl.tar.gz
+	curl -s -o boringssl.tar.gz \
+		https://boringssl.googlesource.com/boringssl/+archive/refs/heads/master.tar.gz
+	mkdir boringssl
+	tar xf boringssl.tar.gz -C boringssl
+	cmake -B boringssl/build boringssl
+	$(MAKE) -C boringssl/build $(MAKEFLAGS)
 
 ##############################################################################
 
@@ -231,6 +266,10 @@
 		lib/libfsverity.pc.in \
 		> $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc
 	chmod 644 $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc
+	install -d $(DESTDIR)$(MANDIR)/man1
+	for page in $(MAN_PAGES); do \
+		install -m644 $$page $(DESTDIR)$(MANDIR)/man1/; \
+	done
 
 uninstall:
 	rm -f $(DESTDIR)$(BINDIR)/$(FSVERITY)
@@ -239,15 +278,18 @@
 	rm -f $(DESTDIR)$(LIBDIR)/libfsverity.so
 	rm -f $(DESTDIR)$(LIBDIR)/pkgconfig/libfsverity.pc
 	rm -f $(DESTDIR)$(INCDIR)/libfsverity.h
+	for page in $(notdir $(MAN_PAGES)); do \
+		rm -f $(DESTDIR)$(MANDIR)/man1/$$page; \
+	done
 
 help:
 	@echo "Available targets:"
 	@echo "------------------"
-	@for target in $(DEFAULT_TARGETS) $(TEST_PROGRAMS) $(SPECIAL_TARGETS); \
+	@for target in $(DEFAULT_TARGETS) $(EXTRA_TARGETS) $(SPECIAL_TARGETS); \
 	do \
 		echo $$target; \
 	done
 
 clean:
-	rm -f $(DEFAULT_TARGETS) $(TEST_PROGRAMS) \
+	rm -f $(DEFAULT_TARGETS) $(EXTRA_TARGETS) \
 		lib/*.o programs/*.o .build-config fsverity.sig

=== debian/changelog ===
fsverity-utils (1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Stephen Kitt ]
  * d/rules: export variables instead of using MAKEFLAGS (Closes:
    #1089255)

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 11:30:21 +0000

fsverity-utils (1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update upstream repository links
  * Update upstream source from tag 'upstream/1.6'
  * Switch to pkgconf
  * Drop build dependency on pandoc (Closes: #1066832)
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Aug 2024 11:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
-Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
+Homepage: https://git.kernel.org/pub/scm/fs/fsverity/fsverity-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
 Vcs-Git: https://salsa.debian.org/debian/fsverity-utils.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk
export CC

export PREFIX = /usr
export V = 1
export USE_SHARED_LIB = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="mode=git" https://git.kernel.org/pub/scm/fs/fsverity/fsverity-utils.git \
    refs/tags/v([\d\.]+)
